Skip to main content
POST
Reprovision Entitlement

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

X-Aggregator-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Path Parameters

id
string
required

The id parameter is the partner subscription ID entity.

Maximum string length: 36

Query Parameters

aggregatorCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16
reason
string
Maximum string length: 64

Response

OK

partnerSubscriptionId
string
required

MarketONE partner service provisioning record identifier.

Maximum string length: 256
productCode
string
required

The product code defined by the partner identified by partner code.

Maximum string length: 128
createdDate
string<datetime>
required

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

serviceStatus
enum<string>
required

Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.

Available options:
UNPROVISIONED,
INACTIVE,
ACTIVE,
CANCELLATION-IN-PROGRESS,
CANCELLED,
UPDATE-IN-PROGRESS,
PAUSED,
PAUSE-IN-PROGRESS,
RESUME-IN-PROGRESS
Maximum string length: 50
account
object
subscriptionId
string

The id subscription associated with this partner service.

Maximum string length: 128
externalPartnerSubscriptionId
string

The identifier returned by the partner from the "AddSubscription" callback.

Maximum string length: 256
partnerCode
string

The partner code as set by the partner admin in MarketONE.

Maximum string length: 15
quantity
integer

represents the quantity that this entitlement should enable. Required for products with QUANTITY entitlementType.

Example:

500

updatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

startServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

endServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

activatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner subscription was activated (optional)